Subject: bug#69056: 30.0.50; history-add-new-input and recursive minibuffers

From: Stefan Monnier <[email-masked]>
Date: Thu, 15 Feb 2024 14:54:07 -0500

> for very little gain.  The more general issue with let-binding
> variables around APIs that enter the minibuffer stays, so I see little

I agree that it would be good to tackle this more general problem.

Basically, should we treat recursive-edits as if they were run in a sort
of separate thread (with the original thread blocked until the new
thread exits)?

I think we can't do that in general, since I think we sometimes do want
let-bindings performed around `read-from-minibuffer` to affect the
command executed inside the minibuffer.  But we should maybe experiment
with it to get a clearer idea of where we do want/need it and where
we don't.

        Stefan